Bug 126128 - Impress Page Setup dialog with a resolution of 1366 x 768 requires a lot of scrolling
Summary: Impress Page Setup dialog with a resolution of 1366 x 768 requires a lot of s...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL: https://design.blog.documentfoundatio...
Whiteboard: target:6.4.0 target:6.5.0 target:6.4.0.1
Keywords:
Depends on:
Blocks: Area-Fill-Tab
  Show dependency treegraph
 
Reported: 2019-06-27 12:01 UTC by Gülşah Köse
Modified: 2019-12-21 23:55 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot old vs. new (766.66 KB, image/png)
2019-11-06 09:23 UTC, Heiko Tietze
Details
2 column layout (169.24 KB, image/png)
2019-11-06 09:45 UTC, andreas_k
Details
Area Gradient proposal (410.14 KB, image/svg+xml)
2019-11-13 00:52 UTC, andreas_k
Details
Area Gradient proposal (282.08 KB, image/png)
2019-11-13 09:02 UTC, andreas_k
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gülşah Köse 2019-06-27 12:01:58 UTC
Description:
Page Properties dialog in impress is unnecessarily tall. One or two tab-pages need re-arranging there to improve; and grids need fewer items

Steps to Reproduce:
1. Open Impress
2. Select Slide->Properties...
3. See all tabs

Actual Results:
Most of tabs has empty space at bottom

Expected Results:
Empty spaces should be as low as possible.


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 angila 2019-06-28 10:25:50 UTC Comment hidden (spam)
Comment 2 Kaitlyn 2019-08-05 12:09:34 UTC Comment hidden (spam)
Comment 3 Commit Notification 2019-11-01 22:00:23 UTC
Gülşah Köse committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/80109586e6cb6d3e2e0a53a9079c3125ec9b8368

tdf#126128 Reduce page properties dialog's height.

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Heiko Tietze 2019-11-06 09:16:15 UTC
Gülşah, your patch [1] destroys a clear concept just to save a few pixels space. You sacrifice the functional assignment of the three columns with presets, properties, and preview to some random alignment (based on your personal preference since there are no comments on this ticket; Xisco CC'ed himself because of spam) - I understand this as serious damage on usability. White space is not your enemy.

[1] https://gerrit.libreoffice.org/#/c/81910/
Comment 5 Heiko Tietze 2019-11-06 09:23:55 UTC
Created attachment 155556 [details]
Screenshot old vs. new

New/master left vs. old/stable right.
Comment 6 Andras Timar 2019-11-06 09:27:23 UTC
If a dialog does not fit on the screen, it's a bigger UX problem IMHO. We discovered this bug on mobile with Online.
Comment 7 andreas_k 2019-11-06 09:37:36 UTC
Size Before: 705 x 583 px
Size After:  678 x 540 px
Saved pixel:  27 x  43 px

Guideline say Dialog maximum size is 800 x 600 px.

Win10 sure at GTK3 backend it's even more.

Yes the Area tab is the largest tab and if you change this 4 items you can save space at ALL dialogs where Area tab was available. So it's the best place to save space.

I would be happy to support you with make the Area Dialog smaler but as Heiko wrote don't destroy the three column arrangement.

Options to save space:
- Make the Preview square (save horizontal space)
- Found out why the center Options column is that width (and make it smaler)
- reduce rows in Gradient Option section (save vertical space)
  maybe Center (X/Y): left align to the two spinners
  maybe Increment left align and than right Automatic and spinner (not sure it will work)
Comment 8 andreas_k 2019-11-06 09:39:13 UTC
(In reply to Andras Timar from comment #6)
> If a dialog does not fit on the screen, it's a bigger UX problem IMHO. We
> discovered this bug on mobile with Online.

Guideline say an Dialog should be max. 800 x 600 px, so if this is not correct, please say the new minimum size.
https://wiki.documentfoundation.org/Design/PropertyDialog
Comment 9 Heiko Tietze 2019-11-06 09:44:10 UTC
We can discuss anything, including this solution. Minimum size is defined in the HIG as 1280x768px/WXGA, the dialog has with VCL=kde 769x591 and with VCL=gtk3 796x650 with stable/6.2.8.2. Master changes this to 870x580 (gtk3).

If a dialog takes too much vertical space it's the print dialog bug 127782 and we consider different options. The area dialog received a lot of love and it would be a pity when the concept is watered down.

On a personal note, the new ratio is 1:1.5 for the whole dialog but close to 1:2 for the content, while the old ratio is 1:1.2 / 1:1.8, which is closer to the common 4:3 format. In other words, long but short dialogs feel badly designed to me.
Comment 10 andreas_k 2019-11-06 09:45:28 UTC
Created attachment 155561 [details]
2 column layout

I also have an WIP for an two column layout this will save a lot of space, but this doesn't follow the renewal from 2016 see.

https://design.blog.documentfoundation.org/2015/12/22/area-fill-options-made-consistent/
Comment 11 Andras Timar 2019-11-06 10:22:55 UTC
As I wrote, our (or rather our customer's) problem was with the Online, on mobile. We forward ported this patch from our release branch to master, but if you think it's not good, then you can revert it, or add a better solution. Probably it would not harm our future Online product, because we are introducing native JS dialogs on mobile, anyway.
Comment 12 Heiko Tietze 2019-11-06 10:41:40 UTC
(In reply to Andras Timar from comment #11)
> As I wrote, our (or rather our customer's) problem was with the Online, on
> mobile. We forward ported this patch from our release branch to master, but
> if you think it's not good, then you can revert it, or add a better
> solution. Probably it would not harm our future Online product, because we
> are introducing native JS dialogs on mobile, anyway.

Please revert yourself, the doer is always right. UX's duty is to convince people not to be the police.
Comment 13 andreas_k 2019-11-06 10:44:32 UTC
what's the maximum size for mobile? This information is essential for me cause I update a lot Dialogs within the 6.4 release circle.
Comment 14 Xisco Faulí 2019-11-06 10:49:34 UTC
Putting it back to NEW until things get sorted out
Comment 15 andreas_k 2019-11-13 00:52:15 UTC Comment hidden (obsolete)
Comment 16 Heiko Tietze 2019-11-13 08:58:18 UTC Comment hidden (obsolete)
Comment 17 andreas_k 2019-11-13 09:02:18 UTC
Created attachment 155770 [details]
Area Gradient proposal

hope now it is ok.
Comment 19 Heiko Tietze 2019-11-14 13:55:42 UTC
Reverting the patch now. I8ab49e7296bc403f2706f986b2711025f468c4be and I01e23a7eeaa78d60f106dfa67a54ff9d7904cb19
Comment 20 Commit Notification 2019-11-15 07:43:57 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/687c6761e84101f8a798ac7f622c2eab4f84d7b2

Revert "tdf#126128 Reduce page properties dialog's height."

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 21 Commit Notification 2019-11-15 15:43:55 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/de6b9cd633e41f2a38f437143fb40c6e0a1d337d

Revert "tdf#126128 Reduce page properties dialog's height."

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 22 Heiko Tietze 2019-12-19 08:10:35 UTC
Back to the original layout we should now discuss how to improve the positioning of controls.